Arquivo da categoria: Arquitetura

Rotinas para desenhar portas

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Rotinas para desenhar portas ;___| |;___| |;_P2| |;___| |;___| |;___| |Pf2;___| |;___| |; _ _| |P1;___| |_______;___|_________ (defun c:Portas()(ppp))(defun ppp ()(setq larg2 larg)(setq larg (getreal “Largura da … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil, Portas | Deixe um comentário

Salva os ângulos de vários segmentos num arquivo de texto

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Salva os ângulos de vários segmentos (segmentos representando por exemplo uma rede de água) num arquivo de texto. Selecione os trechos dos coletores e os ângulos vão … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil | Deixe um comentário

Somar Texto e Rotacionar

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Soma os valores dos textos selecionados, escreve num ponto do desenho e ainda permite que você rotacione o texto para que ele fique na posição adequada. (defun … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil | Deixe um comentário

Área de uma Região Fechada num Click

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Você clica num ponto interior de uma região fechada e a área é calculada e o resultado escrito no ponto onde você clicou (defun c:AreaRF ()(setq p1 … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Área, Desenho, Engenharia Civil | Deixe um comentário

Calcula a área do último objeto desenhado

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Calcula a área do último objeto desenhado e a escreve no ponto clicado (defun c:AreaLast ()(command “area” “o” “l” “”)(setq p1 (getpoint “P …”))(setq ar (rtos (getvar … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Área, Desenho, Engenharia Civil | Deixe um comentário

Click no interior de uma região fechada para obter a área

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Click no interior de uma região fechada para obter a área da mesma (defun c:AreaRF ()(setq p1 (getpoint “P1”))(command “_boundary” p1 “”)(command “area” “ob” “l” “”)(setq a … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Área, Desenho, Engenharia Civil | Deixe um comentário

Coloca nos pontos clicados uma "progresão", por exemplo: A1, A2, A3, A4, …

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Rotina para desenhar uma linha contínua (vertical ou horizontal) a partir de pequenos incrementos ;; Coloca nos pontos clicados uma “progresão”, por exemplo: A1, A2, A3, A4, … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil | Deixe um comentário